### Method

# RB RhythmDBEntry get_type_data

#### Declaration [src]

    gpointer
    rhythmdb_entry_get_type_data (
      RhythmDBEntry* entry,
      guint expected_size
    )

#### Description [src]

Retrieves a pointer to the entry’s type-specific data, checking that the size of the data structure matches what is expected. Callers should use the RHYTHMDB_ENTRY_GET_TYPE_DATA macro for a slightly more friendly interface to this functionality.

#### Parameters

`expected_size`

  Type: `guint`

  Expected size of the type-specific data.

#### Return value

Type: `gpointer`

Type-specific data pointer.

The returned data is owned by the instance.
The return value can be `NULL`.